#include "ClockTimer.h"

ClockTimer::ClockTimer(){
	_second = 0;
	_minute = 0;
	_hour   = 0;
}

void ClockTimer::tick(){
	// Update internal time-keeping state  
	if (_second < 59){
		_second++;
	}else{ 
	    _second = 0;
		if (_minute < 59){
			_minute++;
		}else{
			_minute = 0;
			if (_hour < 12){
				_hour++;
			}else{
				_hour = 0;
			}
		}
	}
	// The Observable object notifies all its registered observers   
	notify();
}
